Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateSelectedBackground

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateSelectedBackground

Enclosing class:
  TdApi

public static final class TdApi.UpdateSelectedBackground extends TdApi.Update
The selected background has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Background`
`background`
The new selected background; may be null.
`static final int`
`CONSTRUCTOR`
`boolean`
`forDarkTheme`
True, if background for dark theme has changed.

## Constructor Summary

Constructors
Constructor
Description
`UpdateSelectedBackground()`
The selected background has changed.
`UpdateSelectedBackground(boolean forDarkTheme, TdApi.Background background)`
The selected background has changed.
`UpdateSelectedBackground(DataInput input)`
The selected background has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### forDarkTheme

public boolean forDarkTheme
True, if background for dark theme has changed.

### background

public TdApi.Background background
The new selected background; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateSelectedBackground

public UpdateSelectedBackground()
The selected background has changed.

### UpdateSelectedBackground

public UpdateSelectedBackground(boolean forDarkTheme, TdApi.Background background)
The selected background has changed.

Parameters:
  `forDarkTheme` - boolean True, if background for dark theme has changed.
  `background` - Background The new selected background; may be null.

### UpdateSelectedBackground

public UpdateSelectedBackground(DataInput input) throws IOException
The selected background has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`